.catalog:
  name: "DataDog"
  version: "11.1.580-rancher1"
  description: "Real-time performance tracking and visualization of your container-based application deployment"
  minimum_rancher_version: v0.46.0
  maximum_rancher_version: v1.1.99
  questions:
    - variable: "api_key"
      label: "DataDog Api Key"
      description: |
        Enter your DataDog API key.
      required: true
      type: "string"
    - variable: "global_service"
      label: "Global Service"
      description: |
        Enable this option to run a DataDog agent container on every host in the environment.
      required: true
      type: "boolean"
      default: true
    - variable: "host_labels"
      label: "Export Host Labels as Tags"
      description: |
        Comma delimited list of host labels to export as DataDog host tags, e.g. 'region,zone'.
      required: false
      type: "string"
    - variable: "service_labels"
      label: "Export Service Labels as Tags"
      description: |
        Comma delimited list of service labels to export as DataDog metric tags.
        'io.rancher.stack.name' and 'io.rancher.stack_service.name' are exported by default.
      required: false
      type: "string"
    - variable: "service_discovery"
      label: "Enable Service Discovery"
      description: |
        Collect metrics from supported applications running in Docker containers.
      required: true
      type: "boolean"
      default: false
    - variable: sd_config_backend
      label: Service Discovery Config Backend
      description: |
        Choose a key/value store to use for looking up application configuration templates.
        If none is provided only auto config templates will be used.
      required: true
      type: enum
      default: none
      options:
        - none
        - etcd
        - consul
    - variable: "sd_backend_host"
      label: "Config Backend Host"
      description: |
        IP address or DNS name to use to connect to the configuration backend.
      required: false
      type: "string"
    - variable: "sd_backend_port"
      label: "Config Backend Port"
      description: |
        Port to use to connect to the configuration backend.
      required: false
      type: "int"
    - variable: "sd_template_dir"
      label: "Config Backend Template Path"
      description: |
        Specify a custom path where the agent should look for configuration templates in the backend.
        The default is '/datadog/check_configs'.
      required: false
      type: "string"
    - variable: "statsd_standalone"
      label: "Run Standalone DogStatsD"
      description: |
        Enable this option to run just the DogStatsD service without the full agent.
        Should be used with the Global Service option set 'False'.
      required: true
      type: "boolean"
      default: false
    - variable: "statsd_namespace"
      label: "StatsD Metric Namespace"
      description: |
        Optional namespace for aggregated StatsD metrics.
      required: false
      type: "string"
